EnumerationType (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class EnumerationType

    java.lang.Object
      edu.harvard.hul.ois.jhove.EnumerationType

Direct Known Subclasses:
  AgentType, AnalogDigitalFlagType, ChecksumType, DocumentType, IdentifierType, PropertyArity, PropertyType, SignatureType, SignatureUseType

    public abstract class EnumerationType

extends java.lang.Object

Enumerated data type. To create an emumeration, define a subclass of EnumerationType with a private constructor, and define as many `public final static` instances of the subclass, within the subclass definition, as there are enumeration cases. No other instances of an EnumerationType should ever be created, and the only operations which should ever be performed on an EnumerationType are assignment and equality testing.

Constructor Summary
`protected` | `EnumerationType(java.lang.String value)` Instantiate an `EnumerationType` object.

Method Summary
`boolean` | `equals(EnumerationType enm)` Type equality test.
`java.lang.String` | `toString()` Return enumeration value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EnumerationType

    protected EnumerationType(java.lang.String value)

  Instantiate an `EnumerationType` object.

  Parameters:
    `value` - Enumeration value

Method Detail

### equals

    public boolean equals(EnumerationType enm)

  Type equality test.

  Parameters:
    `enm` - Enumerated type
  Returns:
    True, if equal

### toString

    public java.lang.String toString()

  Return enumeration value.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD